Bug 478635 - metacity segfaults in gdm and gnome-session
metacity segfaults in gdm and gnome-session
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-02 11:32 EST by Frederik Bijlsma
Modified: 2016-05-31 21:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-17 19:18:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Metacity backtrace from bug-buddy at gnome-startup (5.09 KB, text/plain)
2009-01-02 11:32 EST, Frederik Bijlsma
no flags Details

  None (edit)
Description Frederik Bijlsma 2009-01-02 11:32:53 EST
Created attachment 328077 [details]
Metacity backtrace from bug-buddy at gnome-startup

Description of problem:
metacity segfaults during the start of gdm and also in a gnome session.

metacity[3099]: segfault at 0 ip 080aa093 sp bf8356d0 error 4 in metacity[8048000+82000]

Version-Release number of selected component (if applicable):
metacity-2.24.0-2.fc10.i386
Latest released F10

How reproducible:
Every time

Steps to Reproduce:
1. Start gdm during boot up.
2. start a gnome-session
  
Actual results:
Segfault of metacity

Expected results:
Starting metacity

Additional info:

I ran gdb quickly - this yields:

[fbijlsma@aachen ~]$ gdb metacity
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) r
Starting program: /usr/bin/metacity 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fdf750 (LWP 3966)]

Program received signal SIGSEGV, Segmentation fault.
meta_ui_parse_modifier (accel=0x0, mask=0xbfffeeb0) at ui/ui.c:841
841       if (strcmp (accel, "disabled") == 0)
(gdb)
Comment 1 Frederik Bijlsma 2009-01-07 18:27:53 EST
After some digging and afterwards googling I found the problem:
(gdb) bt
#0  meta_ui_parse_modifier (accel=0x0, mask=0xbffdaee0) at ui/ui.c:841
#1  0x08072cd1 in mouse_button_mods_handler (pref=META_PREF_MOUSE_BUTTON_MODS, 
    string_value=0x0, inform_listeners=0xbffdaf24) at core/prefs.c:1383
#2  0x08073f4c in handle_preference_init_string () at core/prefs.c:549
#3  meta_prefs_init () at core/prefs.c:1017
#4  0x0807087c in main (argc=1, argv=0xbffdb364) at core/main.c:395


this is also described in https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/258074 and this also fixes my problem with latest in F10.
I have not verified though if this really has been fixed upstream.
Comment 2 Owen Taylor 2009-11-17 19:18:44 EST
Was fixed upstream prior to F11.

http://git.gnome.org/cgit/metacity/commit/?id=d819b99d

Note You need to log in before you can comment on or make changes to this bug.